A person's learner record
GET /api/students/{id}. A person's learner record. Headless LMS People API reference.
Requires people:read. Opens for any person in the organization, whatever their roles.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/students/string"{ "id": "string", "firstName": "string", "lastName": "string", "email": "string", "image": "string", "entitlementCount": -9007199254740991, "avgProgress": -9007199254740991, "status": "invited", "joinedAt": "string", "lastActiveAt": "string", "items": [ { "contentId": "string", "contentType": "course", "roleKey": "string", "roleName": "string" } ]}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}